..  THIS FILE IS GENERATED BY `gen_doc.{py|sh}`
    !DO NOT EDIT THIS FILE MANUALLY!

=========
optimizer
=========

SGD
---

..  autoclass:: paddle.fluid.optimizer.SGD
    :members:
    :noindex:

Momentum
--------

..  autoclass:: paddle.fluid.optimizer.Momentum
    :members:
    :noindex:

Adagrad
-------

..  autoclass:: paddle.fluid.optimizer.Adagrad
    :members:
    :noindex:

Adam
----

..  autoclass:: paddle.fluid.optimizer.Adam
    :members:
    :noindex:

Adamax
------

..  autoclass:: paddle.fluid.optimizer.Adamax
    :members:
    :noindex:

DecayedAdagrad
--------------

..  autoclass:: paddle.fluid.optimizer.DecayedAdagrad
    :members:
    :noindex:

SGDOptimizer
------------

..  autoclass:: paddle.fluid.optimizer.SGDOptimizer
    :members:
    :noindex:

MomentumOptimizer
-----------------

..  autoclass:: paddle.fluid.optimizer.MomentumOptimizer
    :members:
    :noindex:

AdagradOptimizer
----------------

..  autoclass:: paddle.fluid.optimizer.AdagradOptimizer
    :members:
    :noindex:

AdamOptimizer
-------------

..  autoclass:: paddle.fluid.optimizer.AdamOptimizer
    :members:
    :noindex:

AdamaxOptimizer
---------------

..  autoclass:: paddle.fluid.optimizer.AdamaxOptimizer
    :members:
    :noindex:

DecayedAdagradOptimizer
-----------------------

..  autoclass:: paddle.fluid.optimizer.DecayedAdagradOptimizer
    :members:
    :noindex:

Adadelta
--------------

..  autoclass:: paddle.fluid.optimizer.AdadeltaOptimizer
    :members:
    :noindex:
